


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: JpaCompanyRepository</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.repository</a> ]
</div>

<h1>Coverage Summary for Class: JpaCompanyRepository (com.dema.timeregistration.repository)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">JpaCompanyRepository</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    80%
  </span>
  <span class="absValue">
    (4/ 5)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    92.3%
  </span>
  <span class="absValue">
    (12/ 13)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.repository;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.entity.Company;
<i>4</i>&nbsp;import com.dema.timeregistration.repository.jpa.AbstractJpaRepository;
<i>5</i>&nbsp;
<i>6</i>&nbsp;import javax.persistence.EntityManager;
<i>7</i>&nbsp;import java.util.List;
<i>8</i>&nbsp;import java.util.Optional;
<i>9</i>&nbsp;import java.util.Set;
<i>10</i>&nbsp;
<i>11</i>&nbsp;public class JpaCompanyRepository extends AbstractJpaRepository&lt;Company&gt; implements CompanyRepository {
<i>12</i>&nbsp;    public JpaCompanyRepository(EntityManager entityManager) {
<b class="fc"><i>13</i>&nbsp;        super(entityManager, Company.class);</b>
<b class="fc"><i>14</i>&nbsp;    }</b>
<i>15</i>&nbsp;
<i>16</i>&nbsp;    @Override
<i>17</i>&nbsp;    public Optional&lt;Company&gt; findByName(String name) {
<b class="fc"><i>18</i>&nbsp;        return entityManager</b>
<b class="fc"><i>19</i>&nbsp;                .createQuery(&quot;SELECT c FROM Company c WHERE c.name=:name&quot;, Company.class)</b>
<b class="fc"><i>20</i>&nbsp;                .setParameter(&quot;name&quot;, name)</b>
<b class="fc"><i>21</i>&nbsp;                .getResultStream().findFirst();</b>
<i>22</i>&nbsp;    }
<i>23</i>&nbsp;
<i>24</i>&nbsp;    @Override
<i>25</i>&nbsp;    public boolean existsByName(String name) {
<b class="fc"><i>26</i>&nbsp;        return findByName(name).isPresent();</b>
<i>27</i>&nbsp;    }
<i>28</i>&nbsp;
<i>29</i>&nbsp;    @Override
<i>30</i>&nbsp;    public boolean existsByNameAndIdNot(String name, int id) {
<b class="fc"><i>31</i>&nbsp;        return entityManager</b>
<b class="fc"><i>32</i>&nbsp;                .createQuery(&quot;SELECT c FROM Company c WHERE c.name = :name AND c.id &lt;&gt; :id&quot;, Company.class)</b>
<b class="fc"><i>33</i>&nbsp;                .setParameter(&quot;name&quot;, name)</b>
<b class="fc"><i>34</i>&nbsp;                .setParameter(&quot;id&quot;, id)</b>
<b class="fc"><i>35</i>&nbsp;                .getResultStream().findFirst().isPresent();</b>
<i>36</i>&nbsp;    }
<i>37</i>&nbsp;
<i>38</i>&nbsp;    @Override
<i>39</i>&nbsp;    public List&lt;Company&gt; findAll() {
<b class="nc"><i>40</i>&nbsp;        return entityManager.createQuery(&quot;SELECT c FROM Company c&quot;, Company.class).getResultList();</b>
<i>41</i>&nbsp;    }
<i>42</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
